#footer .footer {
  border-top: 1px solid var(--color_gray2);
  padding: 200px 0 100px;
  width: calc(100% - 100px);
  max-width: 1720px;
  margin: 0 auto;
}
#footer .footer .footer_inner {
  display: grid;
  grid-template-columns: repeat(2, auto);
  grid-gap: 80px;
  align-items: start;
  justify-content: space-between;
}
#footer .footer .footer_inner .footer_logo {
  width: 190px;
}
#footer .footer .footer_inner .footer_menu .menu_item {
  display: grid;
  grid-template-columns: repeat(4, auto);
  grid-template-rows: auto 1fr;
  grid-gap: 40px 80px;
  font-size: 2.4rem;
}
#footer .footer .footer_inner .footer_menu .menu_item > li:nth-child(1) {
  grid-area: 1/1/3/2;
}
#footer .footer .footer_inner .footer_menu .menu_item > li:nth-child(2) {
  grid-area: 1/2/3/3;
}
#footer .footer .footer_inner .footer_menu .menu_item > li:nth-child(4) {
  grid-area: 1/4/3/5;
}
#footer .footer .footer_inner .footer_menu .menu_item .font_en {
  color: var(--color_main);
}
#footer .footer .footer_inner .footer_menu .menu_item .haschild ul {
  font-size: 1.6rem;
  padding-top: 1.8em;
}
#footer .footer .footer_inner .footer_menu .menu_item .haschild ul li {
  text-indent: -0.6em;
  padding-left: 0.6em;
}
#footer .footer .footer_inner .footer_menu .menu_item .haschild ul li::before {
  content: "-";
  color: var(--color_main);
  margin-right: 0.2em;
}
#footer .footer .footer_inner .footer_menu .menu_item .haschild ul li:not(:last-child) {
  margin-bottom: 0.5em;
}
#footer .footer .footer_inner .footer_menu .menu_item .haschild ul li a {
  line-height: 1.5;
}

#footer .footer .footer_inner .footer_menu2 {
  font-size: 1.6rem;
  display: grid;
  grid-template-columns: repeat(2, auto);
  justify-content: end;
  align-items: center;
  grid-column-gap: 2em;
}
#footer .footer .footer_inner .footer_menu2 a:has(img) {
  display: grid;
  grid-template-columns: repeat(2, auto);
  align-items: center;
}
#footer .footer .footer_inner .footer_menu2 a:has(img) img {
  width: 0.8em;
  margin-left: 0.8em;
}
#footer .footer .footer_inner .copyright {
  width: 190px;
  font-size: 1.5rem;
  font-weight: 500;
  grid-area: 2/1/3/2;
  white-space: nowrap;
}

@media screen and (min-width: 767px) {
  #footer .footer .footer_inner .footer_menu .menu_item .haschild ul {
    display: block !important;
  }
}
@media (hover: hover) {
  #footer a {
    transition: 0.3s;
  }
  #footer a:hover {
    opacity: 0.66;
  }
  
  #footer a.nolink {
    pointer-events: none;
  }
}
@media screen and (max-width: 1200px) {
  #footer .footer {
    padding: 150px 0 60px;
    width: calc(100% - 60px);
    margin: 0 auto;
  }
  #footer .footer .footer_inner {
    grid-gap: 80px 50px;
  }
  #footer .footer .footer_inner .footer_logo {
    width: 150px;
  }
  #footer .footer .footer_inner .footer_menu .menu_item {
    grid-gap: 40px 50px;
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild ul {
    font-size: 1.5rem;
  }
  #footer .footer .footer_inner .footer_menu2 {
    font-size: 1.5rem;
  }
  #footer .footer .footer_inner .copyright {
    font-size: 1.4rem;
  }
}
@media screen and (max-width: 1024px) {
  #footer .footer {
    padding-top: 120px;
  }
  #footer .footer .footer_inner {
    grid-template-columns: 1fr;
    grid-gap: 50px;
  }
  #footer .footer .footer_inner .footer_menu2 {
    justify-content: start;
  }
  #footer .footer .footer_inner .copyright {
    grid-area: unset;
    width: auto;
  }
}
@media screen and (max-width: 768px) {
  #footer .footer {
    padding: 100px 0 60px;
    width: calc(100% - 40px);
  }
  #footer .footer .footer_inner {
    grid-gap: 0;
  }
  #footer .footer .footer_inner .footer_logo {
    width: 120px;
    margin-bottom: 60px;
  }
  #footer .footer .footer_inner .footer_menu {
    margin-bottom: 50px;
  }
  #footer .footer .footer_inner .footer_menu .menu_item {
    grid-template-columns: 1fr;
    grid-template-rows: unset;
    grid-gap: 20px;
  }
  #footer .footer .footer_inner .footer_menu .menu_item > li:nth-child(1) {
    grid-area: unset;
  }
  #footer .footer .footer_inner .footer_menu .menu_item > li:nth-child(2) {
    grid-area: unset;
  }
  #footer .footer .footer_inner .footer_menu .menu_item > li:nth-child(4) {
    grid-area: unset;
  }
  #footer .footer .footer_inner .footer_menu .menu_item .font_en {
    color: var(--color_main);
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild .haschild {
    display: grid;
    grid-template-columns: 1fr 0.9em;
    align-items: center;
    grid-column-gap: 0.33em;
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild .haschild .icon {
    position: relative;
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild .haschild .icon::before, #footer .footer .footer_inner .footer_menu .menu_item .haschild .haschild .icon::after {
    content: "";
    width: 100%;
    height: 1px;
    background-color: var(--color_main);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) rotate(0deg);
    transition: 0.33s;
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild .haschild .icon::after {
    width: 50%;
    transform: translate(-50%, -50%) rotate(90deg);
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild .haschild.open .icon::before {
    transform: translate(-50%, -50%) rotate(90deg);
    opacity: 0;
    width: 50%;
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild .haschild.open .icon::after {
    width: 100%;
    transform: translate(-50%, -50%) rotate(180deg);
  }
  #footer .footer .footer_inner .footer_menu .menu_item .haschild ul {
    padding-top: 1.5em;
    padding-bottom: 1em;
    display: none;
  }
  #footer .footer .footer_inner .footer_menu2 {
    grid-template-columns: auto;
    justify-items: start;
    grid-row-gap: 1em;
    margin-bottom: 60px;
  }
  #footer .footer .footer_inner .copyright {
    font-size: 1.3rem;
  }
}